org.apache.tinkerpop.gremlin.process.traversal.util

## Class TraversalUtil

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.util.TraversalUtil

-     public final class TraversalUtil
      extends Object

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <S,E> E` | `apply(S start, Traversal.Admin<S,E> traversal)`
    `static <S,E> E` | `apply(Traverser.Admin<S> traverser, Traversal.Admin<S,E> traversal)`
    `static <S,E> Iterator<E>` | `applyAll(S start, Traversal.Admin<S,E> traversal)`
    `static <S,E> Iterator<E>` | `applyAll(Traverser.Admin<S> traverser, Traversal.Admin<S,E> traversal)`
    `static <S,E> E` | `applyNullable(S start, Traversal.Admin<S,E> traversal)`
    `static <S,E> E` | `applyNullable(Traverser.Admin<S> traverser, Traversal.Admin<S,E> traversal)`
    `static <S,E> boolean` | `test(S start, Traversal.Admin<S,E> traversal)`
    `static <S,E> boolean` | `test(S start, Traversal.Admin<S,E> traversal, E end)`
    `static <S,E> boolean` | `test(Traverser.Admin<S> traverser, Traversal.Admin<S,E> traversal)`
    `static <S,E> boolean` | `test(Traverser.Admin<S> traverser, Traversal.Admin<S,E> traversal, E end)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### apply

          public static final <S,E> E apply(Traverser.Admin<S> traverser,
                                            Traversal.Admin<S,E> traversal)

    - #### applyAll

          public static final <S,E> Iterator<E> applyAll(Traverser.Admin<S> traverser,
                                                         Traversal.Admin<S,E> traversal)

    - #### test

          public static final <S,E> boolean test(Traverser.Admin<S> traverser,
                                                 Traversal.Admin<S,E> traversal,
                                                 E end)

    - #### applyNullable

          public static final <S,E> E applyNullable(Traverser.Admin<S> traverser,
                                                    Traversal.Admin<S,E> traversal)

    - #### test

          public static final <S,E> boolean test(Traverser.Admin<S> traverser,
                                                 Traversal.Admin<S,E> traversal)

    - #### apply

          public static final <S,E> E apply(S start,
                                            Traversal.Admin<S,E> traversal)

    - #### applyAll

          public static final <S,E> Iterator<E> applyAll(S start,
                                                         Traversal.Admin<S,E> traversal)

    - #### test

          public static final <S,E> boolean test(S start,
                                                 Traversal.Admin<S,E> traversal,
                                                 E end)

    - #### applyNullable

          public static final <S,E> E applyNullable(S start,
                                                    Traversal.Admin<S,E> traversal)

    - #### test

          public static final <S,E> boolean test(S start,
                                                 Traversal.Admin<S,E> traversal)

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.